package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 工艺
type Craft struct {
	Id   primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name string             `bson:"name,omitempty" json:"name"`
	// 单位
	Unit  string `bson:"unit,omitempty" json:"unit"`
	Price int    `bson:"price,omitempty" json:"price"`
	// 质量要求
	Quality string `bson:"quality,omitempty" json:"quality"`
	// 备注
	Remark     string    `bson:"remark,omitempty" json:"remark"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
