package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 材料
type Material struct {
	Id    primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name  string             `bson:"name,omitempty" json:"name"`
	Type  string             `bson:"type,omitempty" json:"type"`
	Price int                `bson:"price,omitempty" json:"price"`
	// 规格
	Norm       string    `bson:"norm,omitempty" json:"norm"`
	Length     float64   `bson:"length,omitempty" json:"length"`
	Width      float64   `bson:"width,omitempty" json:"width"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
