package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 包装
type Pack struct {
	Id    primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name  string             `bson:"name,omitempty" json:"name"`
	Image string             `bson:"image,omitempty" json:"image"`
	// 部件数量
	Num int `bson:"num,omitempty" json:"num"`
	// 设计师
	Designer   string    `bson:"designer,omitempty" json:"designer"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
