package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 采购
type Purchase struct {
	Id           primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	ProductName  string             `bson:"name,omitempty" json:"name"`
	Type         string             `bson:"address,omitempty" json:"address"`
	SupplierName string             `bson:"suppplierName,omitempty" json:"suppplierName"`
	// 下单时间
	OrderTime  time.Time `bson:"orderTime,omitempty" json:"orderTime"`
	Status     int       `bson:"status,omitempty" json:"status"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
